com.io7m.jcanephora.cursors

## Interface JCGLRGBA1010102WritableType

- All Superinterfaces:
    com.io7m.jpra.runtime.java.JPRAValueType
  All Known Subinterfaces:
    JCGLRGBA1010102Type
  All Known Implementing Classes:
    JCGLRGBA1010102ByteBuffered

      public interface JCGLRGBA1010102WritableType
      extends com.io7m.jpra.runtime.java.JPRAValueType

  The writable interface to values of the `JCGLRGBA1010102WritableType` packed type.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `set(double r, double g, double b, double a)` Set the value of all fields.
    `void` | `setA(double x)` Set the value of the `a` field.
    `void` | `setARaw(int x)` Set the value of the `a` field.
    `void` | `setB(double x)` Set the value of the `b` field.
    `void` | `setBRaw(int x)` Set the value of the `b` field.
    `void` | `setG(double x)` Set the value of the `g` field.
    `void` | `setGRaw(int x)` Set the value of the `g` field.
    `void` | `setR(double x)` Set the value of the `r` field.
    `void` | `setRRaw(int x)` Set the value of the `r` field.

    - ### Methods inherited from interface com.io7m.jpra.runtime.java.JPRAValueType

      `sizeOctets`

- - ### Method Detail

    - #### setR

          void setR(double x)

      Set the value of the `r` field.
      Parameters:
        `x` - The new value (in the range `[0, 1]`)

    - #### setRRaw

          void setRRaw(int x)

      Set the value of the `r` field. The 10 least significant bits of `x` will be used.
      Parameters:
        `x` - The new value

    - #### setG

          void setG(double x)

      Set the value of the `g` field.
      Parameters:
        `x` - The new value (in the range `[0, 1]`)

    - #### setGRaw

          void setGRaw(int x)

      Set the value of the `g` field. The 10 least significant bits of `x` will be used.
      Parameters:
        `x` - The new value

    - #### setB

          void setB(double x)

      Set the value of the `b` field.
      Parameters:
        `x` - The new value (in the range `[0, 1]`)

    - #### setBRaw

          void setBRaw(int x)

      Set the value of the `b` field. The 10 least significant bits of `x` will be used.
      Parameters:
        `x` - The new value

    - #### setA

          void setA(double x)

      Set the value of the `a` field.
      Parameters:
        `x` - The new value (in the range `[0, 1]`)

    - #### setARaw

          void setARaw(int x)

      Set the value of the `a` field. The 2 least significant bits of `x` will be used.
      Parameters:
        `x` - The new value

    - #### set

          void set(double r,
                   double g,
                   double b,
                   double a)

      Set the value of all fields.
      Parameters:
        `r` - The value for field `r`
        `g` - The value for field `g`
        `b` - The value for field `b`
        `a` - The value for field `a`

Copyright © 2016 <code@io7m.com> http://io7m.com